%define ver_major 2.8
%define ver_base 2.8
%define eds_ver_base 1.2

Name: evolution-exchange
Version: %ver_major.3
Release: alt2

Summary: Microsoft Exchange connector for Evolution
License: GPL
Group: Networking/Mail
URL: http://www.gnome.org/projects/evolution/
Packager: Ilya Mashkin <oddity at altlinux.ru>

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2

Patch:          connector-ldap-fix.patch


Patch1:         warning-fix.patch

Patch100: ximian-connector-2.1.4-64bit-fix-acinclude.m4.patch
Patch101: evolution-exchange-2.5.3-fix-marshaller.patch

# Remove gnome-common macros from configure.in.
# We do not ship gnome-common (or at least we're not supposed to).
#Patch102: evolution-exchange-2.7.2-no_gnome_common.patch


%define evolution_ver 2.8.0
%define eds_ver 1.8.0

%define pkgdocdir %_docdir/%name-%version

Requires: evolution >= %evolution_ver
Requires: evolution-data-server >= %eds_ver

# Automatically added by buildreq on Thu Sep 07 2006
BuildRequires: evolution-devel fontconfig gcc-c++ libavahi-glib libgnomeprint-devel libldap-devel perl-XML-Parser

BuildRequires: evolution-devel >= %evolution_ver
BuildRequires: evolution-data-server-devel >= %eds_ver
BuildRequires: libnspr libnss
BuildRequires: intltool >= 0.35

%add_findprov_lib_path %_libdir/evolution/%ver_base

%description
This is the Ximian Connector for Microsoft Exchange, which adds
support for Microsoft Exchange 2000 and 2003 to Evolution.

%prep
%setup -q
%patch1

%patch100 -p1 -b .64bit-fix-acinclude.m4
%patch101 -p1 -b .fix-marshaller
#patch102 -p1 -b .no_gnome_common


%build

# -lexchange-storage has undefined symbols, can't be helped now
export LDFLAGS="$LDFLAGS -Wl,--no-as-needed"

%configure \
    --disable-static \
    --disable-gtk-doc \
    --with-krb5-includes=%_includedir/krb5 \
    --with-krb5-libs=/lib

%make_build

%install
%make DESTDIR=%buildroot install

%__install -d -m755 %buildroot%pkgdocdir
%__install -p -m644 AUTHORS ChangeLog NEWS README %buildroot%pkgdocdir/
bzip2 -9 %buildroot%pkgdocdir/ChangeLog
%__cp -a docs %buildroot%pkgdocdir/

# remove none-packaged files
%__rm -f %buildroot%_libdir/evolution-data-server-%eds_ver_base/camel-providers/*.la
%__rm -rf %buildroot%pkgdocdir/docs/{reference,Makefile*}

%find_lang %name-%ver_base

%files -f %name-%ver_base.lang
%_bindir/exchange-connector-setup-%ver_base
%_libdir/evolution/%ver_base/*
%_libdir/evolution-data-server-%eds_ver_base/camel-providers/*
%_libdir/bonobo/servers/*
%_datadir/%name
%pkgdocdir

%changelog
* Sun Mar 25 2007 Ilya Mashkin <oddity@altlinux.ru> 2.8.3-alt2
- add some patches

* Sat Feb 24 2007 Ilya Mashkin <oddity@altlinux.ru> 2.8.3-alt1
- updated ti 2.8.3

* Mon Jan 01 2007 Ilya Mashkin <oddity@altlinux.ru> 2.8.2-alt1
- New release 2.8.2

* Thu Sep 07 2006 Mikhail Zabaluev <mhz@altlinux.ru> 2.8.0-alt1
- Release 2.8.0

* Sat Sep 02 2006 Mikhail Zabaluev <mhz@altlinux.ru> 2.6.3-alt1
- Release 2.6.3

* Sat Jun 03 2006 Mikhail Zabaluev <mhz@altlinux.ru> 2.6.2-alt2
- Updated dependencies to require e-d-s with new the sonames

* Fri Jun 02 2006 Mikhail Zabaluev <mhz@altlinux.ru> 2.6.2-alt1
- Release 2.6.2

* Sat May 27 2006 Mikhail Zabaluev <mhz@altlinux.ru> 2.6.1-alt1
- Release 2.6.1
- Disable and exclude gtk-doc documentation

* Sat Mar 18 2006 Mikhail Zabaluev <mhz@altlinux.ru> 2.6.0-alt2
- Rebuild with evolution 2.6.0-alt2 that fixes x86_64 installation

* Wed Mar 15 2006 Mikhail Zabaluev <mhz@altlinux.ru> 2.6.0-alt1
- Release 2.6.0
- Removed Debian-style menu
- Added --no-as-needed to ld flags

* Sun Mar 05 2006 Mikhail Zabaluev <mhz@altlinux.ru> 2.5.92-alt1
- 2.5.92

* Sun Feb 19 2006 Mikhail Zabaluev <mhz@altlinux.ru> 2.5.91-alt1
- Updated to 2.5.91
- Bzip the ChangeLog
- Buildreq

* Wed Nov 30 2005 Mikhail Zabaluev <mhz@altlinux.ru> 2.4.2-alt1
- 2.4.2
- Explicitly require libnspr and libnss for build

* Thu Oct 20 2005 Mikhail Zabaluev <mhz@altlinux.ru> 2.4.1-alt1
- Updated to 2.4.1
- Spec cleanup
- Enhanced summary and description
- Make install section reenterable

* Sat Jul 02 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.2.3-alt1
- 2.2.3

* Tue Apr 12 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.2.2-alt1
- 2.2.2

* Thu Mar 17 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.2.1-alt1
- 2.2.1

* Tue Mar 08 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt1
- 2.2.0

* Wed Mar 02 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.1.6-alt1
- 2.1.6

* Fri Feb 18 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.1.5-alt1
- 2.1.5

* Sat Dec 11 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.0.3-alt1
- 2.0.3

* Thu Oct 28 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.0.2-alt0.5
- 2.0.2

* Thu Sep 30 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.0.1-alt0.5
- 2.0.1

* Tue Sep 14 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.0.0-alt0.5
- 2.0.0

* Sun Sep 12 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.5.94.1-alt0.5
- 1.5.94.1

* Wed Aug 04 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.5.92-alt0.5
- 1.5.92

* Tue Jul 20 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.5.91-alt0.5
- 1.5.91

* Tue Jul 06 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.5.90-alt0.5
- 1.5.90 release.

* Wed Jun 16 2004 Alex Gorbachenko <algor@altlinux.ru> 1.5.9-alt1
- initial build.
